%define upstream_name    Plack-Middleware-Options
%define upstream_version 0.01

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Implements OPTIONS and filters out unknown methods
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build)
BuildRequires: perl(Plack::Middleware)
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Test::Deep)
BuildArch: noarch

%description
This module implements the OPTIONS HTTP method for your Plack application.
It also returns a 405 Method Not Allowed error when a method not explicitly
allowed is used.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc META.yml Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.10.0-6.mga9
+ Revision: 1805157
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.10.0-5.mga8
+ Revision: 1496626
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.10.0-4.mga7
+ Revision: 1270528
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-3.mga6
+ Revision: 1032166
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.10.0-2.mga6
+ Revision: 968507
- Mageia 6 Mass Rebuild

* Wed Jul 08 2015 shlomif <shlomif> 0.10.0-1.mga6
+ Revision: 852804
- Add missing BR
- Add BRs
- imported package perl-Plack-Middleware-Options


* Thu Oct 16 2014 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
